> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/tc/transaction-submission/block-builder/call-bundle.md).

# BSC Block Builder Call Bundle API

介紹BlockRazor Block Builder的Call Bundle API 的接口說明、價格、限流、請求參數、請求示例和返回示例

### 接口說明

本接口用於接收用戶提交的模擬bundle的請求，方法名為`eth_callBundle`。

### 價格

<table><thead><tr><th width="134.90625">支付方式</th><th width="370.83984375">價格</th><th>操作</th></tr></thead><tbody><tr><td>Personalized</td><td><strong>$20</strong> / 日</td><td><a href="https://blockrazor.io/#/portal/pricing?purchaseMode=personalized&#x26;chain=bsc&#x26;serviceId=bsc_call_bundle&#x26;billing=day" class="button primary small">Subscribe</a></td></tr><tr><td>Package</td><td><strong>$1250 / 月</strong><br>與其他核心服務組合訂閱，享有更高價值</td><td><a href="https://blockrazor.io/#/portal/pricing?redirect=pricing&#x26;purchaseMode=package&#x26;billing=month" class="button primary small">Subscribe</a></td></tr></tbody></table>

### Rate Limit

1 TPS

### 请求参数

<table><thead><tr><th width="159">參數</th><th width="62">必選</th><th width="113">格式</th><th>示例</th><th>描述</th></tr></thead><tbody><tr><td>txs</td><td>是</td><td>array[hex]</td><td>["0x…4b", "0x…5c"]</td><td>經過簽名的raw transaction列表</td></tr><tr><td>blockNumber</td><td>是</td><td>number</td><td>39177941</td><td>當前區塊號+1</td></tr></tbody></table>

### 請求示例

{% tabs %}
{% tab title="HTTPS" %}

```bash
curl https://virginia.builder.blockrazor.io \
  -H 'content-type: application/json' \
  -H 'Authorization: <auth-token>' \
  --data '{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "eth_callBundle",
  "params": [
    {
      "txs":["0x…4b"],
      "blockNumber":39177941
    }
  ]
  }'
```

{% endtab %}
{% endtabs %}

### 返回示例

#### **正常**

{% tabs %}
{% tab title="HTTPS" %}

```json
{  
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "bundleHash": "0xb13bb92ebee57b42b7e8e91b41891e1693a449dcdb8530c6bffe684157e988da",
    "ethSentToBuilder": "63003000000000",
    "gasFees": "21000000000000",
    "results": [
      {
        "ethSentToBuilder": "63003000000000",
        "fromAddress": "0x12994B3004Daab21035EDa1D4b31F7F63D606128",
        "gasFees": "21000000000000",
        "gasPrice": "4000142857",
        "gasUsed": 21000,
        "toAddress": "0x1266C6bE60392A8Ff346E8d5ECCd3E69dD9c5F20",
        "txHash": "0x0fbaa913aa0ffc22bba63a81ca2958ad14d630928c5a5240130fec7037605648",
        "value": "0x"
      }
    ],
    "stateBlockNumber": 756983,
    "totalGasUsed": 21000
  }
}
```

{% endtab %}
{% endtabs %}

#### 异常

**auth token缺失**

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "error": {
    "code": -32000,
    "message": "missing auth token"
  }
}
```

**觸發限流**

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "error": {
    "code": -32000,
    "message": "rate limit exceeded, try again later"
  }
}
```

**nonce错误**

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "error": {
    "code": -32000,
    "message": "err: nonce too low: address 0x6c85F133fa06Fe5eb185743FB6c79f4a7cb9C076, tx: 28 state: 29; txhash 0x300c95d2b3086ddc1836de1e8c87878916d332ff42e8312cd404264ab8cdcd18"
  }
}
```

**执行失败**

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "bundleHash": "0x592da70a510720d149567bfbc5935a05780963607c3c75b93a9190bb60818f21",
    "ethSentToBuilder": "0",
    "gasFees": "218070000000000",
    "results": [
      {
        "error": "execution reverted",
        "ethSentToBuilder": "0",
        "fromAddress": "0xb0b10B09780aa6A315158EF724404aa1497e9E6E",
        "gasFees": "218070000000000",
        "gasPrice": "10000000000",
        "gasUsed": 21807,
        "revert": "unlock error: locked",
        "toAddress": "0xdA51Cf6ed22740FD8fAfbBe61577A577915e7526",
        "txHash": "0xa09745617e0a212c5da379ea066f64e33f5215ce235d653bbbc1359b38d78baa",
      }
    ],
    "stateBlockNumber": 29115,
    "totalGasUsed": 21807
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.blockrazor.io/tc/transaction-submission/block-builder/call-bundle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
